aim4.driver

## Class ProxyDriver

- java.lang.Object
- - aim4.driver.Driver
  - - aim4.driver.AutoDriver
    - - aim4.driver.ProxyDriver

- All Implemented Interfaces:
    AutoDriverCoordinatorView, AutoDriverPilotView, DriverSimView

      public class ProxyDriver
      extends AutoDriver

  A proxy driver.

- - ### Field Summary

    - ### Fields inherited from class aim4.driver.Driver

      `currentLane, currentlyOccupiedLanes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProxyDriver(AutoVehicleDriverView vehicle, BasicMap basicMap)` Construct a proxy driver.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `act()` Take control actions for driving the agent's Vehicle.
    `Road` | `getDestination()` Get where this DriverAgent is going.
    `SpawnPoint` | `getSpawnPoint()` Get where this DriverAgent is coming from.

    - ### Methods inherited from class aim4.driver.AutoDriver

      `distanceFromPrevIntersection, distanceToNextIntersection, getCurrentCoordinator, getCurrentIM, getVehicle, inCurrentIntersection, nextIntersectionManager`

    - ### Methods inherited from class aim4.driver.Driver

      `addCurrentlyOccupiedLane, getCurrentLane, getCurrentlyOccupiedLanes, setCurrentLane, setDestination, setSpawnPoint`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface aim4.driver.AutoDriverCoordinatorView

      `addCurrentlyOccupiedLane, getCurrentLane, setCurrentLane`

    - ### Methods inherited from interface aim4.driver.AutoDriverPilotView

      `getCurrentLane, setCurrentLane`

- - ### Constructor Detail

    - #### ProxyDriver

          public ProxyDriver(AutoVehicleDriverView vehicle,
                     BasicMap basicMap)

      Construct a proxy driver.
      Parameters:
        `vehicle` - the vehicle object
        `basicMap` - the map object

  - ### Method Detail

    - #### act

          public void act()

      Take control actions for driving the agent's Vehicle. This allows both the Coordinator and the Pilot to act (in that order).
      Specified by:
        `act` in interface `DriverSimView`
      Overrides:
        `act` in class `AutoDriver`

    - #### getSpawnPoint

          public SpawnPoint getSpawnPoint()

      Get where this DriverAgent is coming from.
      Specified by:
        `getSpawnPoint` in interface `DriverSimView`
      Overrides:
        `getSpawnPoint` in class `Driver`
      Returns:
        the Road where this DriverAgent is coming from

    - #### getDestination

          public Road getDestination()

      Get where this DriverAgent is going.
      Specified by:
        `getDestination` in interface `AutoDriverCoordinatorView`
      Specified by:
        `getDestination` in interface `DriverSimView`
      Overrides:
        `getDestination` in class `Driver`
      Returns:
        the Road where this DriverAgent is going

Copyright © 2013. All rights reserved.